---
lang: en
title: 'API docs: repository.defaultbelongstorepository.gettargetrepositorydict'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.defaultbelongstorepository.gettargetrepositorydict.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultBelongsToRepository](./repository.defaultbelongstorepository.md) &gt; [getTargetRepositoryDict](./repository.defaultbelongstorepository.gettargetrepositorydict.md)

## DefaultBelongsToRepository.getTargetRepositoryDict property

**Signature:**

```typescript
getTargetRepositoryDict: {
        [repoType: string]: Getter<TargetRepository>;
    };
```

